std::chrono::operator==,(std::chrono::year)(3)

NAME
std::chrono::operator==,(std::chrono::year) - std::chrono::operator==,(std::chrono::year)

Synopsis
   Defined in header <chrono>
   constexpr bool operator==( const std::chrono::year& x, (1) (since C++20)
   const std::chrono::year& y ) noexcept;
   constexpr std::strong_ordering operator<=>( const
   std::chrono::year& x, (2) (since C++20)
   const std::chrono::year& y ) noexcept;
   Compare the two std::chrono::year x and y.
   The <, <=, >, >=, and != operators are synthesized from operator<=> and operator==
   respectively.

Return value
   1) int(x) == int(y)
   2) int(x) <=> int(y)

Example
// Run this code
 #include <iostream>
 #include <chrono>
 int main()
 {
     using namespace std::chrono;
     constexpr year y1{2020};
     constexpr year y2{2021};
     std::cout << std::boolalpha << (y1 != y2) << '\n';
     static_assert(
         (2020y < 2023y) && (2020y == 2020y) && (2020y <= 2023y) &&
         (2023y > 2020y) && (2023y != 2020y) && (2023y >= 2020y)
     );
 }

Output:
 true